check_positive_ordered.hpp File Reference
`#include <stan/math/prim/scal/err/domain_error.hpp>`
`#include <stan/math/prim/mat/err/check_ordered.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/meta/index_type.hpp>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T_y >
void | stan::math::check_positive_ordered (const char *function, const char *name, const Eigen::Matrix< T_y, Eigen::Dynamic, 1 > &y)
| Check if the specified vector contains non-negative values and is sorted into strictly increasing order. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.